package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.QcType;
import com.diagbot.mapper.QcTypeMapper;
import com.diagbot.service.QcTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 质控类型标准 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-28
 */
@Service
public class QcTypeServiceImpl extends ServiceImpl<QcTypeMapper, QcType> implements QcTypeService {

    public Long saveT(QcType qcType){
        this.baseMapper.insert(qcType);
        QueryWrapper<QcType> qWrapper =new QueryWrapper<>();
        qWrapper.eq("name",qcType.getName());
        qWrapper.eq("hospital_id", qcType.getHospitalId());
        QcType entity=this.baseMapper.selectOne(qWrapper);
        return entity.getId();
    }

}
